<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */

    public function up(): void
    {
        $sql = <<<'SQL'
            CREATE TABLE work_group_masters (
                id					                BIGINT GENERATED always AS IDENTITY PRIMARY KEY,
                plant_id                            BIGINT NOT NULL,

                name		   					    TEXT DEFAULT NULL,
                description		   				    TEXT DEFAULT NULL,
                operation_number                    TEXT DEFAULT NULL,

                created_at			                TIMESTAMP NOT NULL DEFAULT NOW(),
                updated_at			                TIMESTAMP NOT NULL DEFAULT NOW(),
                deleted_at			                TIMESTAMP,

                created_by                          TEXT DEFAULT NULL,

                unique(plant_id, name),
                unique(plant_id, operation_number),
                FOREIGN KEY (plant_id)              REFERENCES  plants (id)
            );
        SQL;
        DB::statement($sql);
    }


    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('work_group_masters');
    }
};
